import junit.framework.TestCase;

public class YZMathTest extends TestCase {
    private YZMath math;
    
    public void setUp() { // alloc
	math = new YZMath();
    }
    
    public void tearDown() { // release
    }
    
    public void testAdd() {
	assertEquals(3, math.add(1, 2));
    }
    
    public void testSub() {
	assertEquals(1, math.sub(3, 2));
    }
    
    public void testMul() {
	assertEquals(6, math.mul(3, 2));
    }
    
    public void testDiv() {
	int result = 0;
	try {
	    result = math.div(6, 3);
	} catch (Exception e) {
	    fail();
        }
	assertEquals(2, result);
    }
    
    public void testDivZero() {
        Throwable t = null; 
        try {
	    math.div(6, 0);
	    fail();
        } catch (Exception e) {
            t = e;
        }
	assertNotNull(t);
        assertEquals(Exception.class, t.getClass());
    }
}
